# Get some variables provided by autosubmit.
WORKDIR=%HPCROOTDIR%
ICON_VERSION=%ICON_VERSION%

STARTDATE=%SDATE%
MEMBER=%MEMBER%

# Define rundir
RUNDIR=${WORKDIR}/${STARTDATE}/${MEMBER}

# Go to the member rundir
cd ${RUNDIR}

# Activate spack
SPACK_ENV=${WORKDIR}/spack/share/spack/setup-env.sh
source ${SPACK_ENV}
# Load icon module
spack load icon-nwp@%ICON_VERSION%

# Set environment variable for eccodes-dwd definitions:
source eccodes_defs.env

# Run icon
srun icon
